Package icyllis.arc3d.engine

# Class BackendRenderTarget

java.lang.Object
icyllis.arc3d.engine.BackendRenderTarget

Direct Known Subclasses:
  `GLBackendRenderTarget`, `VkBackendRenderTarget`

@Deprecated public abstract class BackendRenderTarget extends Object
Deprecated.
A BackendRenderTarget instance is initialized once, and may be shared.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackendRenderTarget(int width, int height)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getBackend()`
  Deprecated.
  `abstract BackendFormat`
  `getBackendFormat()`
  Deprecated.
  Get the BackendFormat for this texture.
  `abstract int`
  `getDepthBits()`
  Deprecated.
  `boolean`
  `getGLFramebufferInfo(GLFramebufferInfo info)`
  Deprecated.
  If the backend API is OpenGL, copies a snapshot of the GLFramebufferInfo struct into the passed in pointer and returns true.
  `final int`
  `getHeight()`
  Deprecated.
  `abstract int`
  `getSampleCount()`
  Deprecated.
  `abstract int`
  `getStencilBits()`
  Deprecated.
  `boolean`
  `getVkImageInfo(VulkanImageDesc info)`
  Deprecated.
  If the backend API is Vulkan, copies a snapshot of the VkImageInfo struct into the passed in pointer and returns true.
  `final int`
  `getWidth()`
  Deprecated.
  `abstract boolean`
  `isProtected()`
  Deprecated.
  Returns true if we are working with protected content.
  `void`
  `setVkImageLayout(int layout)`
  Deprecated.
  Anytime the client changes the VkImageLayout of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.
  `void`
  `setVkQueueFamilyIndex(int queueFamilyIndex)`
  Deprecated.
  Anytime the client changes the QueueFamilyIndex of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackendRenderTarget

    public BackendRenderTarget(int width, int height)
    Deprecated.

- ## Method Details

  - ### getBackend

    public abstract int getBackend()
    Deprecated.
    Returns:
      see Types

  - ### getWidth

    public final int getWidth()
    Deprecated.
    Returns:
      width in pixels

  - ### getHeight

    public final int getHeight()
    Deprecated.
    Returns:
      height in pixels

  - ### getSampleCount

    public abstract int getSampleCount()
    Deprecated.

  - ### getDepthBits

    public abstract int getDepthBits()
    Deprecated.

  - ### getStencilBits

    public abstract int getStencilBits()
    Deprecated.

  - ### getGLFramebufferInfo

    public boolean getGLFramebufferInfo(GLFramebufferInfo info)
    Deprecated.
    If the backend API is OpenGL, copies a snapshot of the GLFramebufferInfo struct into the passed in pointer and returns true. Otherwise, returns false if the backend API is not OpenGL.

  - ### getVkImageInfo

    public boolean getVkImageInfo(VulkanImageDesc info)
    Deprecated.
    If the backend API is Vulkan, copies a snapshot of the VkImageInfo struct into the passed in pointer and returns true. This snapshot will set the mImageLayout to the current layout state. Otherwise, returns false if the backend API is not Vulkan.

  - ### setVkImageLayout

    public void setVkImageLayout(int layout)
    Deprecated.
    Anytime the client changes the VkImageLayout of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.

  - ### setVkQueueFamilyIndex

    public void setVkQueueFamilyIndex(int queueFamilyIndex)
    Deprecated.
    Anytime the client changes the QueueFamilyIndex of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.

  - ### getBackendFormat

    @Nonnull public abstract BackendFormat getBackendFormat()
    Deprecated.
    Get the BackendFormat for this texture.

  - ### isProtected

    public abstract boolean isProtected()
    Deprecated.
    Returns true if we are working with protected content.